function cmpndKernDisplay(kern, varargin)

% CMPNDKERNDISPLAY Display parameters of the CMPND kernel.
%
%	Description:
%
%	CMPNDKERNDISPLAY(KERN) displays the parameters of the compound
%	kernel and the kernel type to the console.
%	 Arguments:
%	  KERN - the kernel to display.
%
%	CMPNDKERNDISPLAY(KERN, SPACING)
%	 Arguments:
%	  KERN - the kernel to display.
%	  SPACING - how many spaces to indent the display of the kernel by.
%	
%
%	See also
%	CMPNDKERNPARAMINIT, MODELDISPLAY, KERNDISPLAY


%	Copyright (c) 2004, 2005, 2006 Neil D. Lawrence
% 	cmpndKernDisplay.m CVS version 1.6
% 	cmpndKernDisplay.m SVN version 355
% 	last update 2009-05-14T11:55:31.000000Z

if nargin > 1
  spacing = repmat(32, 1, varargin{1});
  varargin{1} = varargin{1}+2;
else
  spacing = [];
  varargin{1} = 2;
end
spacing = char(spacing);
fprintf(spacing);
fprintf('Compound kernel:\n')
for i = 1:length(kern.comp)
  kernDisplay(kern.comp{i}, varargin{:});
end
